diff --git a/docs/conf/inspircd.conf.example b/docs/conf/inspircd.conf.example
index d54cdc916..ee21be7f3 100644
--- a/docs/conf/inspircd.conf.example
+++ b/docs/conf/inspircd.conf.example
@@ -425,11 +425,11 @@
 
 # This file has all the information about oper classes, types and o:lines.
 # You *MUST* edit it.
-<include file="conf/examples/opers.conf.example">
+<include file="/etc/inspircd/opers.conf.example">
 
 # This file has all the information about server links and ulined servers.
 # You *MUST* edit it if you intend to link servers.
-<include file="conf/examples/links.conf.example">
+<include file="/etc/inspircd/links.conf.example">
 
 #-#-#-#-#-#-#-#-#-#-  MISCELLANEOUS CONFIGURATION  -#-#-#-#-#-#-#-#-#-#
 #                                                                     #
@@ -439,7 +439,8 @@
 #   motd - displayed on connect and when a user executes /MOTD
 #   rules - displayed when the user executes /RULES
 # Modules can also define their own files
-<files motd="conf/examples/motd.txt.example" rules="conf/examples/rules.txt.example">
+<files motd="/etc/inspircd/motd.txt.example"
+       rules="/etc/inspircd/rules.txt.example">
 
 # Example of an executable file include. Note this will be read on rehash,
 # not when the command is run.
@@ -485,7 +486,7 @@
 # the default of 'inspircd.pid' is used.                              #
 #                                                                     #
 
-#<pid file="/path/to/inspircd.pid">
+<pid file="/var/run/inspircd/inspircd.pid">
 
 #-#-#-#-#-#-#-#-#-#-#-#-#- BANLIST LIMITS #-#-#-#-#-#-#-#-#-#-#-#-#-#-#
 #                                                                     #
@@ -994,7 +995,7 @@
 # provide almost all the features of InspIRCd. :)                     #
 #                                                                     #
 # The default does nothing -- we include it for simplicity for you.   #
-<include file="conf/examples/modules.conf.example">
+<include file="/etc/inspircd/modules.conf.example">
 
 # Here are some pre-built modules.conf files that closely match the
 # default configurations of some popular IRCd's. You still may want to
@@ -1006,10 +1007,10 @@
 # recommended that you make your own modules file based on modules.conf.example.
 
 # Settings similar to UnrealIRCd defaults.
-#<include file="conf/examples/modules/unrealircd.conf.example">
+#<include file="/etc/inspircd/modules/unrealircd.conf.example">
 
 # Settings similar to Charybdis IRCd defaults.
-#<include file="conf/examples/modules/charybdis.conf.example">
+#<include file="/etc/inspircd/modules/charybdis.conf.example">
 
 
 #########################################################################
diff --git a/docs/conf/modules.conf.example b/docs/conf/modules.conf.example
index c3f074b94..4b0a584bb 100644
--- a/docs/conf/modules.conf.example
+++ b/docs/conf/modules.conf.example
@@ -315,7 +315,7 @@
 # specify some censor tags. See also:                                 #
 # https://wiki.inspircd.org/Modules/2.0/censor                        #
 #
-#<include file="conf/examples/censor.conf.example">
+#<include file="/etc/inspircd/censor.conf.example">
 
 #-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#
 # CGI:IRC module: Adds support for automatic host changing in CGI:IRC
@@ -790,7 +790,7 @@
 # specify below the path to the filter.conf file, or define some      #
 # <filter> tags.                                                      #
 #                                                                     #
-#<include file="conf/examples/filter.conf.example">
+#<include file="/etc/inspircd/filter.conf.example">
 
 #-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#
 # Gecos ban: Implements extended ban 'r', which stops anyone matching
@@ -849,7 +849,7 @@
 #                                                                     #
 # If you specify to use the m_helpop.so module, then specify below    #
 # the path to the helpop.conf file.                                   #
-#<include file="conf/examples/helpop-full.conf.example">
+#<include file="/etc/inspircd/helpop-full.conf.example">
 
 #-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#
 # Hide chans module: Allows users to hide their channels list from non-
@@ -1304,7 +1304,7 @@
 #                 Read the comment above <connect:allowmotdcolors> in #
 #                 inspircd.conf.example for details.                  #
 #                                                                     #
-#<opermotd file="conf/examples/opermotd.txt.example" onoper="yes" processcolors="false">
+#<opermotd file="/etc/inspircd/opermotd.txt.example" onoper="yes" processcolors="false">
 
 #-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#-#
 # Override module: Adds support for oper override.
diff --git a/make/template/main.mk b/make/template/main.mk
index 23daa7efc..386e0138a 100644
--- a/make/template/main.mk
+++ b/make/template/main.mk
@@ -34,7 +34,7 @@ CC = @CC@
 SYSTEM = @SYSTEM@
 BUILDPATH = @BUILD_DIR@
 SOCKETENGINE = @SOCKETENGINE@
-CXXFLAGS = -pipe -fPIC -DPIC
+MYCXXFLAGS = -pipe -fPIC -DPIC
 LDLIBS = -pthread -lstdc++
 LDFLAGS = 
 CORELDFLAGS = -rdynamic -L. $(LDFLAGS)
@@ -52,9 +52,9 @@ INSTMODE_BIN = 0755
 INSTMODE_LIB = 0644
 
 @IFEQ $(CC) icpc
-  CXXFLAGS += -Wshadow
+  MYCXXFLAGS += -Wshadow
 @ELSE
-  CXXFLAGS += -pedantic -Woverloaded-virtual -Wshadow -Wformat=2 -Wmissing-format-attribute -Wall
+  MYCXXFLAGS += -pedantic -Woverloaded-virtual -Wshadow -Wformat=2 -Wmissing-format-attribute -Wall
 @ENDIF
 
 
@@ -76,46 +76,46 @@ INSTMODE_LIB = 0644
 	INSTALL = ginstall
 @ENDIF
 @IFEQ $(SYSTEM) darwin
-  CXXFLAGS += -DDARWIN -frtti
+  MYCXXFLAGS += -DDARWIN -frtti
   LDLIBS += -ldl
   CORELDFLAGS = -dynamic -bind_at_load -L. $(LDFLAGS)
   PICLDFLAGS = -fPIC -shared -twolevel_namespace -undefined dynamic_lookup $(LDFLAGS)
 @ENDIF
 @IFEQ $(SYSTEM) interix
-  CXXFLAGS += -D_ALL_SOURCE -I/usr/local/include
+  MYCXXFLAGS += -D_ALL_SOURCE -I/usr/local/include
 @ENDIF
 
-@IFNDEF D
-  D=0
+@IFNDEF DEBUGLEVEL
+  DEBUGLEVEL=0
 @ENDIF
 
 GCC6=@GCC6@
 @IFEQ $(GCC6) true
-  CXXFLAGS += -fno-delete-null-pointer-checks
+  MYCXXFLAGS += -fno-delete-null-pointer-checks
 @ENDIF
 
 DBGOK=0
-@IFEQ $(D) 0
-  CXXFLAGS += -O2
+@IFEQ $(DEBUGLEVEL) 0
+  MYCXXFLAGS += -O2
 @IFEQ $(CC) g++
-    CXXFLAGS += -g1
+    MYCXXFLAGS += -g1
 @ENDIF
   HEADER = std-header
   DBGOK=1
 @ENDIF
-@IFEQ $(D) 1
-  CXXFLAGS += -O0 -g3 -Werror
+@IFEQ $(DEBUGLEVEL) 1
+  MYCXXFLAGS += -O0 -g3 -Werror
   HEADER = debug-header
   DBGOK=1
 @ENDIF
-@IFEQ $(D) 2
-  CXXFLAGS += -O2 -g3
+@IFEQ $(DEBUGLEVEL) 2
+  MYCXXFLAGS += -O2 -g3
   HEADER = debug-header
   DBGOK=1
 @ENDIF
 FOOTER = finishmessage
 
-CXXFLAGS += -Iinclude
+MYCXXFLAGS += -Iinclude
 
 @GNU_ONLY MAKEFLAGS += --no-print-directory
 
@@ -135,10 +135,11 @@ CXXFLAGS += -Iinclude
 @ENDIF
 
 @IFDEF PURE_STATIC
-  CXXFLAGS += -DPURE_STATIC
+  MYCXXFLAGS += -DPURE_STATIC
 @ENDIF
 
-@DO_EXPORT RUNCC RUNLD CXXFLAGS LDLIBS PICLDFLAGS VERBOSE SOCKETENGINE CORELDFLAGS
+MYCXXFLAGS += $(CXXFLAGS)
+@DO_EXPORT RUNCC RUNLD MYCXXFLAGS LDLIBS PICLDFLAGS VERBOSE SOCKETENGINE CORELDFLAGS
 @DO_EXPORT SOURCEPATH BUILDPATH PURE_STATIC SPLIT_CC
 
 # Default target
@@ -151,10 +152,10 @@ TARGET = all
     @GNU_ONLY TARGET = modules/$(M:.so=).so
 @ENDIF
 
-@IFDEF T
+@IFDEF TGT
     HEADER =
     FOOTER = target
-    TARGET = $(T)
+    TARGET = $(TGT)
 @ENDIF
 
 @IFEQ $(DBGOK) 0
@@ -229,8 +230,8 @@ install: target
 	@-$(INSTALL) -d -o $(INSTUID) -m $(INSTMODE_DIR) $(DATPATH)
 	@-$(INSTALL) -d -o $(INSTUID) -m $(INSTMODE_DIR) $(LOGPATH)
 	@-$(INSTALL) -d -m $(INSTMODE_DIR) $(BINPATH)
-	@-$(INSTALL) -d -m $(INSTMODE_DIR) $(CONPATH)/examples/aliases
-	@-$(INSTALL) -d -m $(INSTMODE_DIR) $(CONPATH)/examples/modules
+	@-$(INSTALL) -d -m $(INSTMODE_DIR) $(CONPATH)/aliases
+	@-$(INSTALL) -d -m $(INSTMODE_DIR) $(CONPATH)/modules
 	@-$(INSTALL) -d -m $(INSTMODE_DIR) $(MODPATH)
 	[ "$(BUILDPATH)/bin/" -ef $(BINPATH) ] || $(INSTALL) -m $(INSTMODE_BIN) "$(BUILDPATH)/bin/inspircd" $(BINPATH)
 @IFNDEF PURE_STATIC
@@ -238,9 +239,9 @@ install: target
 @ENDIF
 	-$(INSTALL) -m $(INSTMODE_BIN) @STARTSCRIPT@ $(BASE) 2>/dev/null
 	-$(INSTALL) -m $(INSTMODE_LIB) tools/gdbargs $(BASE)/.gdbargs 2>/dev/null
-	-$(INSTALL) -m $(INSTMODE_LIB) docs/conf/*.example $(CONPATH)/examples
-	-$(INSTALL) -m $(INSTMODE_LIB) docs/conf/aliases/*.example $(CONPATH)/examples/aliases
-	-$(INSTALL) -m $(INSTMODE_LIB) docs/conf/modules/*.example $(CONPATH)/examples/modules
+	-$(INSTALL) -m $(INSTMODE_LIB) docs/conf/*.example $(CONPATH)
+	-$(INSTALL) -m $(INSTMODE_LIB) docs/conf/aliases/*.example $(CONPATH)/aliases
+	-$(INSTALL) -m $(INSTMODE_LIB) docs/conf/modules/*.example $(CONPATH)/modules
 	@echo ""
 	@echo "*************************************"
 	@echo "*        INSTALL COMPLETE!          *"
@@ -253,7 +254,7 @@ install: target
 	@echo '  Data:' $(DATPATH)
 	@echo 'To start the ircd, run:' $(BASE)/inspircd start
 	@echo 'Remember to create your config file:' $(CONPATH)/inspircd.conf
-	@echo 'Examples are available at:' $(CONPATH)/examples/
+	@echo 'Examples are available at:' $(CONPATH)
 
 @GNU_ONLY RCS_FILES = $(wildcard .git/index src/version.sh)
 @BSD_ONLY RCS_FILES = src/version.sh
diff --git a/make/unit-cc.pl b/make/unit-cc.pl
index a494fb74b..2a570ec91 100755
--- a/make/unit-cc.pl
+++ b/make/unit-cc.pl
@@ -113,7 +113,7 @@ sub do_compile {
 	my $libs = '';
 	my $binary = $ENV{RUNCC};
 	if ($do_compile) {
-		$flags = $ENV{CXXFLAGS};
+		$flags = $ENV{MYCXXFLAGS};
 		$flags =~ s/ -pedantic// if nopedantic($file);
 		$flags .= ' ' . getcompilerflags($file);
 
